<html>
<head>
<title>Ogre::NameGenerator Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1NameGenerator.html">NameGenerator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::NameGenerator Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::NameGenerator" -->
<p>Utility class to generate a sequentially numbered series of names.  
 <a href="classOgre_1_1NameGenerator.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&gt;</code></p>

<p><a href="classOgre_1_1NameGenerator-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html#a7a48550029dc105b1c08c0f03a836124">NameGenerator</a> (const <a class="el" href="classOgre_1_1NameGenerator.html">NameGenerator</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html#a7e43dbb4439d4c8bfc743dfd2232512f">NameGenerator</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;prefix)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html#acc90af4a30f10807b5c30c1488057a8f">generate</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate a new name.  <a href="#acc90af4a30f10807b5c30c1488057a8f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html#a287069b27325690628d7cd306029ffc3">reset</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the internal counter.  <a href="#a287069b27325690628d7cd306029ffc3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html#a3b110d2ac699bf0ec00b5559f98527cd">setNext</a> (unsigned long long int val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Manually set the internal counter (use caution)  <a href="#a3b110d2ac699bf0ec00b5559f98527cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long long int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html#a6352fb6e68dab3929a19e143b0b43b06">getNext</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the internal counter.  <a href="#a6352fb6e68dab3929a19e143b0b43b06"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html#a6a6ba84d07db73c58e7e4c92f9e3a951">mPrefix</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long long int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NameGenerator.html#a2785ce727ff4ac410b3609b0a398fa06">mNext</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Utility class to generate a sequentially numbered series of names. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00768">768</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7a48550029dc105b1c08c0f03a836124"></a><!-- doxytag: member="Ogre::NameGenerator::NameGenerator" ref="a7a48550029dc105b1c08c0f03a836124" args="(const NameGenerator &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1NameGenerator.html#a7a48550029dc105b1c08c0f03a836124">Ogre::NameGenerator::NameGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1NameGenerator.html">NameGenerator</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00775">775</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7e43dbb4439d4c8bfc743dfd2232512f"></a><!-- doxytag: member="Ogre::NameGenerator::NameGenerator" ref="a7e43dbb4439d4c8bfc743dfd2232512f" args="(const String &amp;prefix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1NameGenerator.html#a7a48550029dc105b1c08c0f03a836124">Ogre::NameGenerator::NameGenerator</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>prefix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00778">778</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acc90af4a30f10807b5c30c1488057a8f"></a><!-- doxytag: member="Ogre::NameGenerator::generate" ref="acc90af4a30f10807b5c30c1488057a8f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1NameGenerator.html#acc90af4a30f10807b5c30c1488057a8f">Ogre::NameGenerator::generate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generate a new name. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00781">781</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a6352fb6e68dab3929a19e143b0b43b06"></a><!-- doxytag: member="Ogre::NameGenerator::getNext" ref="a6352fb6e68dab3929a19e143b0b43b06" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long long int <a class="el" href="classOgre_1_1NameGenerator.html#a6352fb6e68dab3929a19e143b0b43b06">Ogre::NameGenerator::getNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the internal counter. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00804">804</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a287069b27325690628d7cd306029ffc3"></a><!-- doxytag: member="Ogre::NameGenerator::reset" ref="a287069b27325690628d7cd306029ffc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1NameGenerator.html#a287069b27325690628d7cd306029ffc3">Ogre::NameGenerator::reset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reset the internal counter. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00790">790</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="a3b110d2ac699bf0ec00b5559f98527cd"></a><!-- doxytag: member="Ogre::NameGenerator::setNext" ref="a3b110d2ac699bf0ec00b5559f98527cd" args="(unsigned long long int val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1NameGenerator.html#a3b110d2ac699bf0ec00b5559f98527cd">Ogre::NameGenerator::setNext</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned long long int&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Manually set the internal counter (use caution) </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00797">797</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgrePrerequisites_8h.html#ace4a3180018d84c5295b17251233abfb">OGRE_LOCK_AUTO_MUTEX</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a2785ce727ff4ac410b3609b0a398fa06"></a><!-- doxytag: member="Ogre::NameGenerator::mNext" ref="a2785ce727ff4ac410b3609b0a398fa06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long long int <a class="el" href="classOgre_1_1NameGenerator.html#a2785ce727ff4ac410b3609b0a398fa06">Ogre::NameGenerator::mNext</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00772">772</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6a6ba84d07db73c58e7e4c92f9e3a951"></a><!-- doxytag: member="Ogre::NameGenerator::mPrefix" ref="a6a6ba84d07db73c58e7e4c92f9e3a951" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1NameGenerator.html#a6a6ba84d07db73c58e7e4c92f9e3a951">Ogre::NameGenerator::mPrefix</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00771">771</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
